package com.goldenwater.slaj.hazard.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.hazard.mapper.ObjHachMapper;
import com.goldenwater.slaj.hazard.domain.ObjHach;
import com.goldenwater.slaj.hazard.service.IObjHachService;

/**
 * 危化品对象 服务层实现
 */
@Service
public class ObjHachServiceImpl implements IObjHachService {

    @Autowired
    private ObjHachMapper objHachMapper;

    /**
     * 查询危化品对象信息
     * @param guid 查询条件
     * @return 危化品对象信息
     */
    @Override
    public ObjHach selectObjHachByGuid(String guid) {
        return objHachMapper.selectObjHachByGuid(guid);
    }

    /**
     * 查询危化品对象列表
     * @param objHach 危化品对象查询条件
     * @return 危化品对象集合
     */
    @Override
    public List<ObjHach> selectObjHachList(ObjHach objHach) {
        return objHachMapper.selectObjHachList(objHach);
    }

    /**
     * 新增危化品对象
     * @param objHach 危化品对象信息
     * @return 影响行数
     */
    @Override
    public int insertObjHach(ObjHach objHach) {
        return objHachMapper.insertObjHach(objHach);
    }

    /**
     * 修改危化品对象
     * @param objHach 危化品对象信息
     * @return 影响行数
     */
    @Override
    public int updateObjHach(ObjHach objHach) {
        return objHachMapper.updateObjHach(objHach);
    }

    /**
     * 删除危化品对象
     * @param guid 危化品对象主键
     * @return 影响行数
     */
    @Override
    public int deleteObjHachByGuid(String guid) {
        return objHachMapper.deleteObjHachByGuid(guid);
    }

    /**
     * 批量删除危化品对象
     * @param guids 危化品对象主键数组
     * @return 影响行数
     */
    @Override
    public int deleteObjHachByGuids(String[] guids) {
        return objHachMapper.deleteObjHachByGuids(guids);
    }
}
